Subject: bug#5586: is this bug still valid?

From: Tom Tromey <[email-masked]>
Date: Sun, 06 Aug 2017 18:25:11 -0600

js.el now has:

  (setq-local electric-indent-chars
	      (append "{}():;," electric-indent-chars)) ;FIXME: js2-mode adds "[]*".

... so I think the original request for electric indentation has been
met.

Maybe the FIXME should be addressed by moving "[]" (and "*" - I don't
know that this one is so useful) out of the comment and into the string?

Hungry deletion seems like something that should be done generically in
electric.el.

Tom